Skip to main content
Topic: Multimedia VLC is not working. [solved] (Read 838 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Multimedia VLC is not working. [solved]

hi, im not able to run VLC not from the icon neither from terminal.

Quote
[[email protected] ~]$ vlc
VLC media player 2.2.7 Umbrella (revision 2.2.7-0-g0de56d69ff)
[000055a56455b368] core libvlc: Ejecutar vlc con la interfaz predeterminada. Use «cvlc» para usar vlc sin interfaz.
[000055a5646ac5f8] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
[000055a5646ac5f8] skins2 interface error: cannot instantiate qt4 dialogs provider
[000055a5646ac5f8] [cli] lua interface: Listening on host "*console".
VLC media player 2.2.7 Umbrella
Command Line Interface initialized. Type `help' for help.
>
Mate
Desktop: xfce

Graphics: AMD Radeon HD 7640G integrated graphics
GPU: AMD/ATI Trinity [Radeon HD 7640G]

Re: Multimedia VLC is not working.

Reply #1
Actually, you did run vlc succesfully but it was in cli mode. To be able to run in its GUI, you need to install its required opt depend. I could tell you the package, but that will be spoonfeed

So please look at its opt depends and you'll see the package you need to install (Hint : use pacman)
If I can hit that bullseye, the rest of the dominoes will fall like a house of cards. Checkmate!

Re: Multimedia VLC is not working.

Reply #2
Well, let me know if Artix is it only for advanced user because when you say that i need to install its required opt depend, it's all Greek to me, is it not supposed to be installed this gui in artix?.

If it is so please let me know to uninstall the system inmediatally, thanks.
Mate
Desktop: xfce

Graphics: AMD Radeon HD 7640G integrated graphics
GPU: AMD/ATI Trinity [Radeon HD 7640G]

Re: Multimedia VLC is not working.

Reply #3
No its not, programs that are both GUI and CLI are different packages its up to the user to know and tell pacman not pacman to assume.
 If you had used the correct tool to install VLC it would of informed you of the opp deps for vlc after install that being pacman cli, the only supported tool for package management.

Re: Multimedia VLC is not working.

Reply #4
Well, let me know if Artix is it only for advanced user because when you say that i need to install its required opt depend, it's all Greek to me, is it not supposed to be installed this gui in artix?.

If it is so please let me know to uninstall the system inmediatally, thanks.
I would not say that Artix is only for advanced users. That being said, I do feel that it is oriented toward the intermediate and above group of linux users. Someone new to linux would have to be willing to learn some things. The Archwiki is a good source of info, Artix being a derivative of Arch.

How did you install vlc? Vlc is a qt based program, that is, it needs qt4 framework to function as a graphical program (gui, graphical user interface).
Since you are using xfce, which is gtk based, you do not have the needed qt4 framework for vlc's gui.
When you installed vlc, qt4 would have been listed as an optional dependency, and the reason explained.

Best regards.
We should try to be kind to everyone.....we are all fighting some sort of battle.

Re: Multimedia VLC is not working.

Reply #5
It is OK, i already found the package yestarday by 'guessing' at pamac GUI... (i'm not suppouse to do that) .

During the process of installation the system ask you if you preferer VLC to the other option, when you says yes the system 'do the rest' ... is not happening the same with Xfce which we have to install later (i did it with: pacman -S xfce4 xfce goodies) maybe i miss something else).

Thanks.

Quote
[During the process of installation the system ask you if you preferer VLC to the other option, when you says yes the system 'do the rest' /quote]

wrong, very wrong i was traying archlabs before ... sorry.
Mate
Desktop: xfce

Graphics: AMD Radeon HD 7640G integrated graphics
GPU: AMD/ATI Trinity [Radeon HD 7640G]